@import "./variables.css";

.top-header {
  background-color: var(--secondary);
  padding: 5px;
  z-index: -2;
}

.nav-link {
  font-size: 16px !important;
  font-weight: 500 !important;
  color: var(--primary) !important;
  letter-spacing: 0.5px;
}

.navbar-nav {
  gap: 40px;
}

.navbar-nav .nav-item .nav-link {
  border-bottom: 3px solid transparent;
  padding-left: 0 !important;
  padding-right: 0 !important;
  padding-bottom: 5px !important;
}

.navbar-nav .nav-item .nav-link.active {
  border-bottom: 3px solid #373480 !important;
  color: var(--tertiary) !important;
}

.navbar-nav .nav-item .nav-link:hover {
  border-bottom: 3px solid #373480 !important;
  color: var(--tertiary) !important;
}

.nav-link.active:hover {
  border-bottom: none !important;
}

.navbar-brand img,
.footer-logo {
  width: 190px;
}

.banner-section {
  background: var(--secondary);
  border-bottom-left-radius: 40px;
  border-bottom-right-radius: 40px;
}

.banner-main,
.about-main,
.service-main,
.contact-main,
.client-main {
  width: 100%;
  height: 35rem;
  background-size: cover !important;
  border-radius: 40px;
  position: relative;
  filter: grayscale(100%);
}

.banner-main {
  background: url(../../images/banner.webp);
}

.about-main {
  background: url(../../images/about.webp);
}

.servic-main {
  background: url(../../images/services.webp);
}

.contact-main {
  background: url(../../images/contactus.webp);
}

.client-main {
  background: url(../../images/clients.webp);
}

.banner-main::after {
  content: "";
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 40px;
  z-index: -1;
  cursor: pointer;
}

.banner-main h1,
.banner-main p {
  z-index: 10;
  color: var(--light);
}

.banner-text {
  padding: 16% 20%;
}

.banner-cards {
  justify-content: center;
  width: 100%;
  margin: auto;
  border-radius: 30px;
  background: var(--light);
  padding: 40px 10px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.banner-card-section {
  margin-top: -100px;
}

.banner-cards .banner-cards-contants {
  padding-left: 30px;
  height: 106px;
  border-right: 2px solid #999594;
  position: relative;
  width: 100%;
}

.banner-cards .banner-cards-contants:last-child {
  border-right: none;
}

.banner-cards .banner-cards-contants img {
  width: 60px;
  margin-left: 20px;
  margin-top: -20px;
  position: relative;
  z-index: 99;
}

.banner-cards .banner-cards-contants p {
  font-size: 11px;
  z-index: 99;
  width: 82%;
}

.banner-cards .banner-cards-contants:after {
  content: "";
  display: block;
  background: var(--primary);
  transform: scale(1.1);
  border-radius: 30px;
  font-size: 12px !important;
  height: 210px;
  width: 100%;
  margin-top: 0;
  position: absolute;
  top: -58px;
  right: 0;
  display: none;
  -webkit-animation: fadein 0.5s;
  animation: fadein 0.5s;
}

.banner-cards .banner-cards-contants:hover::after {
  display: block;
}

.banner-cards .banner-cards-contants:hover p {
  font-size: 12px;
  color: #ffff;
  position: relative;
  z-index: 99;
}

.banner-cards .banner-cards-contants:hover img {
  width: 70px;
}

/* about section */
.about-section .about-img {
  border-radius: 45px;
}

.about-section .about-content {
  font-weight: 700;
  color: var(--dark);
}

.about-section .about-text {
  width: 80% !important;
}

.about-section .about-middle {
  padding: 0 20%;
}

.about-section .about-middle .circle span {
  background: var(--gray);
  font-size: 0;
  border-radius: 50px;
  padding: 12px;
}

.about-section .about-middle .circle {
  border: 1px solid var(--gray);
  border-radius: 100px;
  width: fit-content;
  padding: 8px;
  position: relative;
}

.about-section .about-middle .circle::after {
  content: "";
  width: 338px;
  height: 2px;
  background: var(--gray);
  position: absolute;
  top: 20px;
  left: 100%;
}

.about-section .about-middle .circle::before {
  content: "";
  width: 338px;
  height: 2px;
  background: var(--gray);
  position: absolute;
  top: 20px;
  right: 100%;
}

.about-section .about-middle .last-circle::after,
.about-section .about-middle .first-circle::before {
  display: none;
}

.about-section .about-middle img {
  width: 70px;
  color: var(--gray);
  text-decoration: none;
}

.about-middle-text1 {
  font-size: 24px;
  font-weight: 600;
  color: var(--tertiary);
  letter-spacing: 1px;
}

.play-btn {
  position: absolute;
  top: 42%;
  left: 48%;
  background: var(--tertiary);
  border-radius: 50px;
  height: 50px;
  width: 50px;
  align-items: center;
  display: flex;
  justify-content: center;
  cursor: pointer;
}

.play-btn i {
  font-size: 26px;
  color: var(--light);
}

.titile-text span {
  font-weight: lighter !important;
  color: #373480;
}

.solution-content img {
  width: 80px;
}

.solution-content p {
  width: 250px;
}

.solution-content::after {
  content: "----------";
  position: absolute;
  left: 55%;
  top: 7rem;
  width: 253px;
  transform: rotate(90deg);
  color: var(--tertiary);
}

.solution-last::after {
  display: none;
}

/* service-section */
.service {
  background: var(--bg);
}

.service-card .card-title {
  font-size: 26px;
  font-weight: 600;
  color: var(--tertiary);
  letter-spacing: 1px;
}

.service-card .card-title,
.service-card .card-text {
  width: 27rem;
}

.service-card .service-btn {
  font-size: 15px;
  letter-spacing: 0.54px;
  align-items: center;
  gap: 2px;
  color: var(--gray-dark);
}

.service-card .service-btn i {
  font-size: 18px;
}

.card-img-top {
  height: 130px !important;
  object-fit: cover;
  object-position: top;
  border-radius: 12px !important;
}

.service-carousel .card-body .card-title {
  font-size: 18px;
  color: var(--tertiary) !important;
  font-weight: 600;
  line-height: 1.4;
}

.service-carousel .card-body {
  padding-right: 24px !important;
}

.service-carousel .owl-dots,
.testimonial .owl-dots,
.testimonial .owl-nav {
  display: none;
}

.service-carousel .owl-prev,
.service-carousel .owl-next {
  position: absolute;
  background: var(--primary) !important;
  width: 25px;
  height: 25px;
  border-radius: 50px !important;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  top: 18%;
}

.service-carousel .owl-prev span,
.service-carousel .owl-next span {
  font-size: 25px;
  color: var(--light);
  font-weight: lighter;
}

.service-carousel .owl-prev {
  left: -2px;
}

.service-carousel .owl-next {
  right: -2px;
}

/* testimonial */
.testimonial .owl-carousel .item img {
  width: 20%;
  border-radius: unset !important;
}

.testimonial .owl-carousel .item {
  display: flex;
  flex-direction: column;
  width: 24rem;
  position: relative;
}

.testimonial .owl-carousel .item::after {
  content: "";
  position: absolute;
  width: 6px;
  height: 105px;
  background: var(--tertiary);
  right: -40px;
  top: 28%;
}

.testimonial .owl-carousel {
  padding-left: 138px;
}

.footer-section {
  background: var(--primary);
}

.footer-section span,
.footer-section p,
.footer-section h3,
.footer-section li,
.footer-section h2 {
  color: var(--light) !important;
}

.footer-section p {
  font-size: 13px;
  width: 248px;
  word-spacing: 3px;
}

.footer-section span {
  font-size: 13px;
  letter-spacing: 1px;
}

.footer-section .footer-icon {
  border: 1px solid var(--light);
  width: fit-content;
  padding: 5px 20px;
  border-radius: 5px;
  gap: 8px;
  display: flex;
}

.footer-section .footer-icon a {
  font-size: 22px;
  color: var(--light);
}

.footer-section h3 {
  font-size: 22px;
  letter-spacing: 1px;
}

.footer-section ul li {
  font-size: 12px;
  margin-top: 20px;
  display: flex;
  gap: 10px;
  width: 280px;
}

.useful-link a {
  font-size: 12px;
  text-transform: uppercase;
  color: white;
}

.footer-section .footer-li li {
  width: unset;
}

.about-middle .img2 {
  display: none;
  transition: 0.5;
}

.about-middle:hover .img1 {
  display: none;
}

.about-middle:hover .img2 {
  display: inline;

}

.about-section .about-middle:hover .circle span {
  background: var(--primary);
}

.about-section .about-middle:hover .circle {
  border-color: #7e2f87;
  transition: all 0.55s ease-in-out;
}

.about-middle .img1,
.about-middle .img2 {
  -webkit-animation: fadein 0.5s;
  animation: fadein 0.5s;
}

@keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* service section */
.service-banner {
  background: url(../../images/service.png);
  width: 100%;
  height: 175px;
  background-size: cover;
}

.servic-section .card .card-img-top {
  height: 190px !important;
  object-fit: cover;
  object-position: top;
  border-radius: 6px !important;
}

.servic-section .card .card-body .card-title {
  font-family: var(--inter);
  font-size: 16px;
  font-weight: 700;
  line-height: 1.4;
  color: var(--tertiary);
}

.servic-section .card .card-img-top {
  transition: all 2s ease-in-out;
}

.servic-section .card:hover .card-img-top {
  transform: scale(1.1);
}

.servic-section .card .card-title,
.servic-section .card .card-text {
  transition: all 1s ease-in-out;
}

.servic-section .card:hover .card-title {
  color: #373480;
}

.servic-section .card:hover .card-text {
  color: var(--tertiary);
}

/* contact us */
.contact-form .form-input .form-control {
  height: 40px;
  border-radius: 5px !important;
}

.contact-form .form-control {
  font-size: 12px;
}

.contact-form .contact-btn button {
  border-radius: 12px !important;
  display: flex;
  gap: 25px;
  justify-content: center;
  align-items: center;
  padding: 8px 15px !important;
  background: var(--tertiary) !important;
}

.contact-form .contact-btn button img {
  height: 12px;
}

.contact-info h3 {
  font-size: 24px;
  font-weight: 600;
  color: var(--tertiary);
}

/* clients section */
.clients-main img {
  width: 200px;
}

.clients-main {
  background: white;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  width: fit-content;
  padding: 20px;
  transition: all 0.55s ease-in-out;
}

.clients-main:hover {
  transform: scale(1.1);
}

.contact-info p {
  width: 25rem;
}

@media (min-width:1400px) and (max-width:1600px) {
  .about-section .about-content {
    margin-top: 15% !important;
  }

  .solution-content {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .solution-content::after {
    left: 62%;
  }

  .testimonial .owl-carousel .item::after {
    right: -68px;
  }

  .testimonial .owl-carousel {
    padding-left: 180px;
  }

  .testimonial .owl-carousel .item {
    width: 25rem;
  }

  .service-card .card-title,
  .service-card .card-text {
    width: 31rem;
  }

}

@media (max-width:767px) {
  .navbar-brand img {
    width: 130px;
  }

  .footer-logo {
    width: 180px
  }

  .navbar-nav {
    gap: 4px;
  }

  .navbar .navbar-toggler {
    border: none;
  }

  .navbar .navbar-toggler:focus {
    box-shadow: none;
  }

  .banner-text {
    padding: 25% 12%;
  }

  .home-banner-text {
    padding: 22% 12%;
  }

  .banner-main,
  .about-main,
  .servic-main,
  .contact-main,
  .client-main {
    height: 16rem;
  }

  .banner-cards {
    flex-wrap: wrap;
  }

  .banner-cards .banner-cards-contants {
    width: 50%;
    margin-bottom: 40px;
    padding-left: 18px;
  }

  .banner-cards-contants:nth-child(5) {
    margin-right: 50%;
    margin-bottom: 0;
  }

  .banner-cards-contants:nth-child(2),
  .banner-cards-contants:nth-child(4) {
    border: unset;
  }

  .banner-main,
  .about-main,
  .servic-main,
  .contact-main,
  .client-main,
  .banner-main::after,
  .about-section .about-img {
    border-radius: 30px;
  }

  .banner-cards .banner-cards-contants::after,
  .about-section .about-middle .circle::before,
  .about-section .about-middle .circle::after {
    display: none !important;
  }

  .banner-cards .banner-cards-contants p,
  .about-section .about-text,
  .service-card .card-title,
  .service-card .card-text {
    width: unset !important;
  }

  .banner-card-section {
    margin-top: -46px;
  }

  .play-btn {
    top: 38%;
    left: 46%;
    height: 40px;
    width: 40px;
  }

  .play-btn i {
    font-size: 19px;
  }

  .about-section .about-middle {
    padding: 0;
  }

  .about-middle-text1 {
    font-size: 22px;
  }

  .service-card .card-title {
    font-size: 20px;
  }

  .about-middle-text2 {
    font-size: 11px;
  }

  .testimonial .owl-carousel {
    padding-left: unset;
  }

  .testimonial .owl-item .item p {
    width: 337px;
  }

  .testimonial .owl-carousel .item::after {
    top: 40%;
    left: 90%;
  }

  .solution-content p {
    width: fit-content;
    padding: 0 20px;
  }

  .solution-content {
    margin-bottom: 65px;
  }

  .solution-content::after {
    content: "----------------------";
    left: 15%;
    top: 10rem;
    width: 253px;
    transform: rotate(180deg);
  }

  .clients-main {
    display: flex;
    margin: auto;
  }

  .clients-main img {
    width: 250px;
  }

  .contact-info p {
    width: 20rem;
  }
}

@media (min-width:768px) and (max-width:991px) {
  .navbar .navbar-toggler {
    border: none;
  }

  .navbar .navbar-toggler:focus {
    box-shadow: none;
  }

  .banner-main,
  .about-main,
  .servic-main,
  .contact-main,
  .client-main {
    height: 26rem;
  }

  .banner-text {
    padding: 24% 12%;
  }

  .home-banner-text {
    padding: 18% 12%;
  }

  .banner-cards {
    justify-content: start;
    flex-wrap: wrap;
  }

  .banner-cards .banner-cards-contants {
    width: 33%;
    margin-bottom: 60px;
  }

  .banner-cards .banner-cards-contants:nth-child(3) {
    border-right: unset;
  }

  .banner-cards .banner-cards-contants:nth-child(4),
  .banner-cards .banner-cards-contants:nth-child(5) {
    margin-bottom: 0px;
  }

  .banner-cards .banner-cards-contants img {
    margin-left: 42px;
  }

  .about-section .about-img {
    border-radius: 28px;
    margin-top: 35%;
  }

  .play-btn i {
    font-size: 20px;
  }

  .play-btn {
    left: 45%;
    height: 44px;
    width: 44px;
  }

  .about-section .about-middle {
    padding: 0;
  }

  .about-section .about-middle .circle::after {
    width: 200px;
  }

  .about-section .about-middle .circle::before {
    content: none;
  }

  .service-card .card-title,
  .service-card .card-text {
    width: 20rem;
  }

  .service-card .card-title {
    font-size: 22px;
  }

  .testimonial .owl-carousel .item::after {
    top: 42%
  }

  .solution-content p {
    width: unset;
  }

  .solution-content::after {
    left: 48%;
  }

  .servic-section .card .card-img-top {
    height: 128px !important;
  }

  .clients-main img {
    width: 168px;
  }
}

@media (min-width:992px) and (max-width:1199px) {
  .banner-text {
    padding: 22% 16%;
  }

  .play-btn {
    top: 28%;
  }

  .about-section .about-middle .circle::before {
    content: none;
  }

  .about-section .about-middle .circle::after {
    width: 280px;
  }

  .about-section .about-middle {
    padding: unset;
  }

  .service-card .card-title,
  .service-card .card-text {
    width: 22rem;
  }

  .footer-section ul li {
    width: unset;
  }

  .testimonial .owl-carousel .item::after {
    right: 0px;
    top: 40%;
  }
}

.products-tab .products-list {
  padding-left: 0;
}

.products-tab h5 {
  margin-bottom: 25px;
}

.products-tab .products-list li {
  margin-bottom: 15px;
  position: relative;
  padding-left: 15px;
}

.products-tab .products-list li::before {
  content: "";
  position: absolute;
  top: 9px;
  left: 0;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #373480;
}